Page MenuHomeSoftware Heritage

Add Django >= 2.x support
ClosedPublic

Authored by anlambert on Jan 14 2020, 2:54 PM.

Details

Summary

Fix swh-web execution when using Django >= 2.x as some error handler signatures
have changed since Django 1.x

Add a new tox job to build swh-web with latest Django 2.x version.

Depends on D2525

Diff Detail

Repository
rDWAPPS Web applications
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

anlambert created this revision.Jan 14 2020, 2:54 PM
vlorentz accepted this revision.Jan 14 2020, 2:58 PM
vlorentz added a subscriber: vlorentz.
vlorentz added inline comments.
requirements.txt
7

should be django >= 1.11.0, < 3

This revision is now accepted and ready to land.Jan 14 2020, 2:58 PM
This revision was landed with ongoing or failed builds.Jan 14 2020, 3:08 PM
This revision was automatically updated to reflect the committed changes.